//---------------------------------------------------------------------------

#ifndef mainH
#define mainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <ExtCtrls.hpp>
#include <IdBaseComponent.hpp>
#include <IdComponent.hpp>
#include <IdTCPServer.hpp>
#include <StdCtrls.hpp>
#include <winsock2.h>
#include "sim_rec_defs.h"
#include "sim_ios1_defs.h"
#include "sim_svr1_defs.h"
//---------------------------------------------------------------------------
typedef struct
{
   AnsiString PeerIP;     //{ Cleint IP address }
   AnsiString HostName;   //{ Hostname }
   int Id;        //
   TDateTime Connected;   //{ Time of connect }
   TDateTime LastAction;  //{ Time of last transaction }
   TIdPeerThread *Thread;          //{ Pointer to thread }
} TClient;
//---------------------------------------------------------------------------
class TfmMain : public TForm
{
__published:	// IDE-managed Components
   TIdTCPServer *IdTCPServer1;
   TMemo *mmLog;
   TTimer *Timer1;
   TEdit *Edit1;
   TEdit *Edit2;
   TEdit *Edit3;
   TEdit *Edit4;
   TEdit *Edit5;
   TEdit *Edit6;
   TEdit *Edit7;
   TEdit *Edit8;
   TEdit *Edit9;
   TLabel *Label1;
   TLabel *Label2;
   TLabel *Label3;
   TLabel *Label4;
   TLabel *Label5;
   TLabel *Label6;
   TLabel *Label7;
   TLabel *Label8;
   TLabel *Label9;
   void __fastcall FormCreate(TObject *Sender);
   void __fastcall FormKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
   void __fastcall IdTCPServer1Connect(TIdPeerThread *AThread);
   void __fastcall IdTCPServer1Disconnect(TIdPeerThread *AThread);
   void __fastcall IdTCPServer1Execute(TIdPeerThread *AThread);
   void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);

private:	// User declarations

public:		// User declarations
   TThreadList *Clients;


   void __fastcall Writelog(String log);
   __fastcall TfmMain(TComponent* Owner);
};


//---------------------------------------------------------------------------
extern PACKAGE TfmMain *fmMain;
//---------------------------------------------------------------------------
#endif


